; ===========================
; SNES
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "3df92492-d69a-48f8-8e14-9a62bd9805a6"
name = "snes"
fullname = "Super Nintendo Entertainment System"
theme.folder = "snes"
roms.folder = "%ROOT%/snes"
screenscraper.id = 4
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/consoles/super-nintendo-entertainment-system"
doc.link.en = "https://wiki.recalbox.com/en/emulators/consoles/super-nintendo-entertainment-system"
port = 0
readonly = 0
icon.unicode = $F25e

[properties]
type = console
device.pad = mandatory
device.keyboard = no
device.mouse = optional
device.lightgun = optional
release.date = "1990-11"
manufacturer = "Nintendo"
retroachievements = 1
crt.multiresolution = 0
crt.multiregion = 1

[core.0]
package = BR2_PACKAGE_PISNES
priority = 1
emulator = "pisnes"
core = "pisnes"
extensions = ".smc .sfc .fig .1 .2"
netplay = 0
softpatching = 0
compatibility = high
speed = high

[core.1]
package = BR2_PACKAGE_LIBRETRO_SNES9X
priority = 2
emulator = "libretro"
core = "snes9x"
extensions = ".fig .gd3 .sfc .smc .swc .7z .zip"
netplay = 1
softpatching = 1
compatibility = high
speed = high
crt.available = 1

[core.2]
package = BR2_PACKAGE_LIBRETRO_MESEN_S
priority = 3
emulator = "libretro"
core = "mesen_s"
extensions = ".smc .sfc .swc .fig .bs .7z .zip"
netplay = 1
softpatching = 1
compatibility = high
speed = low

[core.3]
package = BR2_PACKAGE_LIBRETRO_SNES9X2010
priority = 4
emulator = "libretro"
core = "snes9x2010"
extensions = ".smc .sfc .swc .fig .gd3 .gd7 .dx2 .bsx .7z .zip"
netplay = 1
softpatching = 1
compatibility = high
speed = high
crt.available = 1

[core.4]
package = BR2_PACKAGE_LIBRETRO_SNES9X2005
priority = 5
emulator = "libretro"
core = "snes9x2005"
extensions = ".smc .sfc .swc .fig .gd3 .gd7 .dx2 .bsx .7z .zip"
netplay = 1
softpatching = 1
compatibility = high
speed = high
crt.available = 1

[core.5]
package = BR2_PACKAGE_LIBRETRO_SNES9X2002
priority = 6
emulator = "libretro"
core = "snes9x2002"
extensions = ".smc .sfc .swc .fig .gd3 .gd7 .dx2 .bsx .7z .zip"
netplay = 1
softpatching = 1
compatibility = high
speed = high
crt.available = 1

[core.6]
package = BR2_PACKAGE_LIBRETRO_BSNES
priority = 7
emulator = "libretro"
core = "bsnes"
extensions = ".bml .bsx .dx2 .fig .gd3 .gd7 .sfc .smc .swc .7z .zip"
netplay = 1
softpatching = 1
compatibility = high
speed = high
crt.available = 1

[core.7]
package = BR2_PACKAGE_LIBRETRO_BSNES_HD
priority = 8
emulator = "libretro"
core = "bsneshd"
extensions = ".smc .sfc .swc .fig .gd3 .gd7 .dx2 .bsx .7z .zip"
netplay = 1
softpatching = 1
compatibility = high
speed = high

[core.8]
package = BR2_PACKAGE_LIBRETRO_SUPAFAUST
priority = 9
emulator = "libretro"
core = "mednafen_supafaust"
extensions = ".fig .sfc .smc .swc .7z .zip"
netplay = 1
softpatching = 0
compatibility = high
speed = high
